PC SOFT

ONLINE HELP
 WINDEVWEBDEV AND WINDEV MOBILE

Home | Sign in | English EN
This content has been translated automatically. Click here to view the French version.
WINDEV
WindowsLinuxUniversal Windows 10 AppJavaReports and QueriesUser code (UMC)
WEBDEV
WindowsLinuxPHPWEBDEV - Browser code
WINDEV Mobile
AndroidAndroid Widget iPhone/iPadIOS WidgetApple WatchMac CatalystUniversal Windows 10 App
Others
Stored procedures
HTTPCertificate (Function)
In french: HTTPCertificat
Modifies the client certificate used by default to identify oneself on a server. This certificate is used by the SOAP functions and by the HTTP functions as follows.
During the call to an HTTP function or to a SOAP function, the following steps must be performed if the site asks for a client certification:
  • If a certificate is fixed, it is sought. If the certificate exists, it is used.
  • If a certificate is not fixed or if the fixed certificate was refused by the site, a window for certificate selection allows you to select the certificate to use.
Example
ListeCertif is string
Certif is string
 
ListeCertif = HTTPListCertificate()
Certif = ExtractString(ExtractString(ListeCertif, 1, CR), 3, TAB)
 
HTTPCertificate(Certif)
IF NOT HTTPRequest("https://testapubuntu.mycompany.com") THEN
Error(ErrorInfo(errFullDetails))
ELSE
Info("OK")
END
Syntax
HTTPCertificate(<Certificate>)
<Certificate>: Character string
Corresponds to:
  • the name of the certificate to use. If two certificates with the same name are found in the certificate store, one of them will be chosen at random by the system.
  • the thumbprint of the certificate to use. Only the context identifies a certificate in a unique way.
The name of the Certificate (as well as the fingerprint) can be known through the HTTPListCertificate function.
If this parameter corresponds to an empty string (""), the default certificate is reinitialized to "<None>".
Caution: No check for the existence of Certificate is performed by the HTTPCertificatefunction.
Remarks
This feature is available for Windows with Internet Explorer version 5.5 and later.
Component: wd270com.dll
Minimum version required
  • Version 15
This page is also available for…
Comments
Click [Add] to post a comment